Convert formats within a processing model

2017-01-19 04:15 AM - Saber Razmjooei

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24011

Description

When using Convert format (ogr2ogr) as a part of a model in the processing, the parametrised input path gets cropped and hence the

module fails to run. Here is how to replicate the issue:

1- Create a new model to buffer a vector

2- Convert the output of buffer to a new SHAPE file

3- It gets stuck at the conversion due to the cropped path to the parametrised input:

cmd.exe /C ogr2ogr.exe -f "ESRI Shapefile"

C:\\Users\\Saber\\AppData\\Local\\Temp\\processing\\b324fbc9f599433c8b8c4e846f1f880a\\OUTPUTLAYERALGGDALOGRCONVERTFORMAT1.shp :\\Users\\Saber\\AppData\\Loc

TFORMAT1.shp :\\Users\\Saber\\AppData\\Local\\Temp\\processing\\a0783db9b4584ca78103b4c70ffbaa70\\OUTPUTLAYER.sh

OUTPUTLAYER

You can see, the first (C...as in C:\\) and p (as in shp) from 

:\\Users\\Saber\\AppData\\Local\\Temp\\processing\\a0783db9b4584ca78103b4c70ffbaa70\\OUTPUTLAYER.sh has been cropped.

History

#1 - 2017-01-19 04:16 AM - Saber Razmjooei

- Category set to Processing/Modeller

#2 - 2017-01-19 11:36 PM - Saber Razmjooei

- Subject changed from Convert format as within a processing model to Convert formats within a processing model

#3 - 2017-01-20 01:08 AM - Saber Razmjooei

- Affected QGIS version changed from 2.14.10 to master

#4 - 2017-03-03 02:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

Works for me on 2.18.4. (on Master the modeler does not work, so I believe that you hit this issue on 2.14/2.18 and not master, correct?).

#5 - 2017-03-03 02:45 AM - Saber Razmjooei

- Status changed from Feedback to Closed

#6 - 2017-03-03 02:52 AM - Giovanni Manghi

- Resolution set to not reproducable
